{
  "schema_version": "1.4.0",
  "id": "GHSA-h3wc-jxm7-mr49",
  "modified": "2025-04-09T04:03:48Z",
  "published": "2022-05-02T03:15:03Z",
  "aliases": [
    "CVE-2009-0385"
  ],
  "details": "Integer signedness error in the fourxm_read_header function in libavformat/4xm.c in FFmpeg before revision 16846 allows remote attackers to execute arbitrary code via a malformed 4X movie file with a large current_track value, which triggers a NULL pointer dereference.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2009-0385"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/48330"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2009-April/msg00210.html"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2009-April/msg00215.html"
    },
    {
      "type": "WEB",
      "url": "http://git.ffmpeg.org/?p=ffmpeg%3Ba=commitdiff%3Bh=72e715fb798f2cb79fd24a6d2eaeafb7c6eeda17"
    },
    {
      "type": "WEB",
      "url": "http://git.ffmpeg.org/?p=ffmpeg;a=commitdiff;h=72e715fb798f2cb79fd24a6d2eaeafb7c6eeda17"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/51643"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/33711"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34296"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34385"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34712"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34845"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34905"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200903-33.xml"
    },
    {
      "type": "WEB",
      "url": "http://svn.mplayerhq.hu/ffmpeg/trunk/libavformat/4xm.c?r1=16838&r2=16846&pathrev=16846"
    },
    {
      "type": "WEB",
      "url": "http://svn.mplayerhq.hu/ffmpeg?view=rev&revision=16846"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2009/dsa-1781"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2009/dsa-1782"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2009:297"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/500514/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/33502"
    },
    {
      "type": "WEB",
      "url": "http://www.trapkit.de/advisories/TKADV2009-004.txt"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-734-1"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2009/0277"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2009-02-02T19:30:00Z"
  }
}